# Module: query-parser

## query-parser

Source:
  - query-parser.js, line 49

### Methods

#### compileJoin(condition) → {String}

  Return the output of the parsing of the join condition

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `condition` | String | The join condition to evalate

  Source:
    - query-parser.js, line 103

  ##### Returns:

  - The parsed/escaped join condition
  Type
    String

#### hasOperator(string) → {Array|null}

  Check if the string contains an operator, and if so, return the operator(s). If there are no matches, return null

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `string` | String | the string to check

  Source:
    - query-parser.js, line 66

  ##### Returns:

  Type
    Array | null

#### parseJoin(sql) → {Object}

  Tokenize the sql into parts for additional processing

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `sql` | String |

  Source:
    - query-parser.js, line 76

  ##### Returns:

  Type
    Object

#### parseWhere(driver, state) → {String}

  Parse a where clause to separate functions from values

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `driver` | Object |
  `state` | State |

  Source:
    - query-parser.js, line 126

  ##### Returns:

  - The parsed/escaped where condition
  Type
    String